Subject: Re: bug#15025: emacs --daemon stuck in infinite loop

From: martin rudalics <[email-masked]>
Date: Fri, 09 Aug 2013 11:12:43 +0200

>> next_frame has that loop "while (passed < 2)" where emacs gets stuck,
 >> but prev_frame does not.  Any idea what can it make it get stuck there?
 >
 > Hm... strange values (dead frame?) in Vframe_list may be a reason.

IIUC failing to increment passed can happen only if the frame next_frame
got called with is not on Vframe_list.  We could try asserting that it is.

martin